Name:           portsmf
Version:        239
Release:        %autorelease
Summary:        A cross-platform, C++ library for reading and writing Standard MIDI Files
License:        MIT
URL:            https://codeberg.org/tenacityteam/portsmf
Source0:        %{url}/archive/%{version}.tar.gz

Patch0:         https://codeberg.org/tenacityteam/portsmf/commit/adf181f49960e5a3d276d8f92e3c7272188ea186.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  %{py3_dist numpy}

%description
Portsmf is "Port Standard MIDI File", a cross-platform, C++ library for reading
and writing Standard MIDI Files.

Features:
- input and output of Standard MIDI Files
- data structures, classes, etc. for representing music data in memory o
sequence structure consisting of multiple tracks o track structure consisting of
multiple events o events contain note and control data o extensible
attribute-value property lists o tempo track and time signature representation
- input and output of a text-based representation: Allegro files
- extensive editing operations on sequences and tracks
- conversion to/from binary buffers for archiving, undo/redo, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n portsmf
sed -i "s|lib/cmake/PortSMF|%{_libdir}/cmake/PortSMF|" CMakeLists.txt

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license license.txt
%doc README.txt
%{_libdir}/libportSMF.so.1*

%files devel
%{_includedir}/portsmf/
%{_libdir}/cmake/PortSMF/
%{_libdir}/libportSMF.so
%{_libdir}/pkgconfig/portSMF.pc

%changelog
%autochangelog
